//! Global config stuff
use super::*;

/// Global user config
#[derive(Debug)]
pub struct Config
{
    /// The directories to find jobs in
    pub job_dirs: Vec<PathBuf>,
    /// The rules for users
    pub user_rules: Vec<UserRule>,
}

impl Default for Config
{
    #[inline]
    fn default() -> Self
    {
	Self{job_dirs: Vec::new(), user_rules: Vec::new()}
    }
}
